package com.icloud.server.utils.log

import org.joda.time.DateTime
import org.slf4j.Logger

import scala.beans.BeanProperty

/**
  * @Author : yang_y_1.0.2
  * @Date : 2021/7/26 11:18 下午 
  * @Version : 1.3.1
  * @Description :
  */
case class Logs(reqLog: Logger){
  @BeanProperty var requestTime: DateTime = DateTime.now()

  def toLog(msg:String){
    reqLog.info(requestTime.toString("yyyy-MM-dd HH:mm:ss")+ "|"+msg)
    reqLog.info("")
  }
}

